<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations</groupId>
    <artifactId>connection-implementation</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.connection-implementation</groupId>
  <artifactId>standard-connections-pack</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: CONNECTION :: STANDARD PACK</name>
  <description>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: CONNECTION :: STANDARD PACK</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.runtime.connections.*
	  </bundle.osgi.export.pkg>
  </properties>

    <dependencies>
    	<dependency>
    		<groupId>org.apache.camel</groupId>
    		<artifactId>camel-file</artifactId>
    		<version>${camel.version}</version>
    	</dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-ftp</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jdbc</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jms</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-mongodb</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-telegram</artifactId>
            <version>${camel.version}</version>
        </dependency>
    	<dependency>
    		<groupId>org.apache.camel</groupId>
    		<artifactId>camel-util</artifactId>
    		<version>${camel.version}</version>
    	</dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
    </dependencies>
  
  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.felix</groupId>
        <artifactId>maven-bundle-plugin</artifactId>
        <extensions>true</extensions>
        <configuration>
          <instructions>
            <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
            <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
          </instructions>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
